Package picard.analysis

## Class CollectAlignmentSummaryMetrics.CollectAlignmentRefArgCollection

- java.lang.Object
- - picard.analysis.CollectAlignmentSummaryMetrics.CollectAlignmentRefArgCollection

- All Implemented Interfaces:
    `ReferenceArgumentCollection`
  Enclosing class:
    CollectAlignmentSummaryMetrics

      public static class CollectAlignmentSummaryMetrics.CollectAlignmentRefArgCollection
      extends Object
      implements ReferenceArgumentCollection

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `REFERENCE_SEQUENCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollectAlignmentRefArgCollection()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getReferenceFile()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REFERENCE_SEQUENCE

          @Argument(shortName="R",
                    doc="Reference sequence file. Note that while this argument isn\'t required, without it only a small subset of the metrics will be calculated. Note also that if a reference sequence is provided, it must be accompanied by a sequence dictionary.",
                    optional=true)
          public File REFERENCE_SEQUENCE

  - ### Constructor Detail

    - #### CollectAlignmentRefArgCollection

          public CollectAlignmentRefArgCollection()

  - ### Method Detail

    - #### getReferenceFile

          public File getReferenceFile()

      Specified by:
        `getReferenceFile` in interface `ReferenceArgumentCollection`
      Returns:
        The reference provided by the user, if any, or the default, if any.